#
# spec file for package perl-Parse-RecDescent (Version 1.964)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           perl-Parse-RecDescent
%define cpan_name %( echo %{name} | %{__sed} -e 's,perl-,,' )
Summary:        Perl RecDescent Module
Version:        1.965001
Release:        1
License:        Artistic
Group:          Development/Libraries/Perl
Url:            http://cpan.org/modules/by-module/Parse/
Source:         %{cpan_name}-%{version}.tar.bz2
Patch:          %{cpan_name}-%{version}.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       perl = %{perl_version}

%description
RecDescent incrementally generates top-down recursive-descent text
parsers from simple yacc-like grammar specifications.



Authors:
--------
    Damian Conway <damian@csse.monash.edu.au>

%prep
%setup -q -n %{cpan_name}-%{version}
%patch

%build
find -type f | xargs chmod 644
perl Makefile.PL 
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files -f %{name}.files
%defattr(-,root,root)
%doc Changes README

%changelog
